package com.cusc.nirvana.user.rnr.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @className: ProtocolManageDTO
 * @description: TODO
 * @author: jk
 * @date: 2022/6/1 13:48
 * @version: 1.0
 **/
@Data
public class ProtocolManageOneDTO {

    private static final long serialVersionUID = 660172581660870804L;

    @ApiModelProperty(value = "个人入网协议word")
    @NotNull(message = "个人入网协议word不可为空")
    private String peopleAgreementWord;

    @ApiModelProperty(value = "个人入网协议横版")
    @NotNull(message = "个人入网协议横版不可为空")
    private String peopleAgreementHorizontal;

    @ApiModelProperty(value = "个人入网协议竖版")
    @NotNull(message = "个人入网协议竖版不可为空")
    private String peopleAgreementVertical;

    @ApiModelProperty(value = "公司入网协议word")
    @NotNull(message = "公司入网协议word不可为空")
    private String companyAgreementWord;

    @ApiModelProperty(value = "公司入网协议横板")
    @NotNull(message = "公司入网协议横板不可为空")
    private String companyAgreementHorizontal;

    @ApiModelProperty(value = "公司入网协议竖版")
    @NotNull(message = "公司入网协议竖版不可为空")
    private String companyAgreementVertical;

    @ApiModelProperty(value = "实名制责任告知书word")
    @NotNull(message = "实名制责任告知书word不可为空")
    private String realnameNoticeWord;

    @ApiModelProperty(value = "实名制责任告知书横板")
    @NotNull(message = "实名制责任告知书横板不可为空")
    private String realnameNoticeHorizontal;

    @ApiModelProperty(value = "实名制责任告知书竖版")
    @NotNull(message = "实名制责任告知书竖版不可为空")
    private String realnameNoticeVertical;

    @ApiModelProperty(value = "企业授权书word")
    @NotNull(message = "企业授权书word不可为空")
    private String companyAuthorizeWord;

    @ApiModelProperty(value = "企业授权书横板")
    @NotNull(message = "企业授权书横板不可为空")
    private String companyAuthorizeHorizontal;

    @ApiModelProperty(value = "企业授权书竖版")
    @NotNull(message = "企业授权书竖版不可为空")
    private String companyAuthorizeVertical;

    @ApiModelProperty(value = "其它word")
    private String otherWord;

    @ApiModelProperty(value = "其它横板")
    private String otherHorizontal;

    @ApiModelProperty(value = "其它竖版")
    private String otherVertical;

    @ApiModelProperty(value = "pc版logo")
    private String logoPc;

    @ApiModelProperty(value = "h5版logo")
    private String logoH5;
}
