package com.cusc.nirvana.user.rnr.customer.service;

import com.cusc.nirvana.user.rnr.customer.dto.EnterpriseH5CallBackRespDTO;
import com.cusc.nirvana.user.rnr.customer.dto.EnterpriseH5RequestDTO;
import com.cusc.nirvana.user.rnr.customer.dto.EnterpriseH5RespDTO;
import com.cusc.nirvana.user.rnr.customer.dto.LivenessCallbackReqDTO;

/**
 * @className: IEnterpriseH5Service
 * @description: 车主企业实名
 * @author: jk
 * @date: 2022/6/8 9:18
 * @version: 1.0
 **/
public interface IEnterpriseH5Service {
    /**
     * 企业实名H5 提交
     * @param dto
     * @return
     */
    EnterpriseH5RespDTO submitRnrH5(EnterpriseH5RequestDTO dto);

    /**
     * h5回调
     * @param bean
     * @return
     */
    EnterpriseH5CallBackRespDTO afreshLivenessUrl(LivenessCallbackReqDTO bean);
}
