package com.cusc.nirvana.user.rnr.customer.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.customer.dto.ExcelSheetDTO;
import com.cusc.nirvana.user.rnr.customer.dto.FileDownloadDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FileRecordDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FileUploadDTO;
import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public interface IFileService {
    Response<FileRecordDTO> upload(FileUploadDTO fileUploadDTO);


    Response<FileRecordDTO> uploadTwo(FileUploadDTO fileUploadDTO);

    /**
     * Description: 文件下载
     **/
    InputStream download(FileDownloadDTO downloadDTO);

    /**
     * 下载文件
     * @param downloadDTO
     * @return
     */
    byte[] downloadToByteArray(FileDownloadDTO downloadDTO);


    /**
     * Description: 文件下载
     **/
//    File downloadToLocal(FileDownloadDTO downloadDTO) throws Exception;
}
