package com.cusc.nirvana.user.rnr.customer.constants;

/**
 * @author yubo
 * @since 2022-04-19 13:56
 */
public class IdentifyConstants {
    //身份证校验规则
    public static final String ID_CARD_REGEX = "(^\\d{15}$)|(^\\d{17}([0-9]|X|x)$)";

    //港澳通行证校验规则
    public static final String HK_MACAU_REGEX = "^[H|M][0-9]{10}$";

    //台湾同行证校验规则
    public static final String HK_TAIWAN_CITIZEN_REGEX = "^([0-9]|[a-z]|[A-Z]){10}$";

    //手机校验规则
    public static final String PHONE_REGEX = "[0-9]{11}";

    //男性
    public static final String GENDER_MALE = "0";

    //女性
    public static final String GENDER_FEMALE = "1";

}
