package com.cusc.nirvana.user.rnr.customer.constants;

/**
 * @className: RnrBizzTypeEnum
 * @description:
 * @author: jk
 * @date: 2022/6/8 15:54
 * @version: 1.0
 **/
public enum RnrBizzTypeEnum {

    Bind(1, "实名"),
    Unbound(2, "解绑"),
    ChangeBinding(3, "换件"),
    INFO_CHANGE(4, "信息变更"),
    REPEAT_BIND(5, "重绑");

    private int code;
    private String comment;

    RnrBizzTypeEnum(int code, String comment) {
        this.code = code;
        this.comment = comment;
    }

    public Integer getCode() {
        return code;
    }

    public String getComment() {
        return comment;
    }
}
