package com.cusc.nirvana.user.rnr.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

 /**
   * @author: jk
   * @description: 个人实名认证
   * @date: 2022/6/8 10:53
   * @version: 1.0
   */
@Data
public class PersonalResponseDTO implements Serializable {
    private static final long serialVersionUID = -1788690841295053853L;

    @ApiModelProperty(value = "请求ID")
    private String requestId;

    @ApiModelProperty(value = "实名ID")
    private String rnrId;

    @ApiModelProperty(value = "返回消息")
    private List<String> responseMsg;
}
