package com.cusc.nirvana.user.rnr.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * Description: 实名登录请求DTO
 * <br />
 * CreateDate 2022-04-20 20:22:56
 *
 * @author yuyi
 **/
@Data
public class RnrLoginReqDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "手机号", example = "130xxxxxxxx")
    private String phone;

    @ApiModelProperty(value = "验证码", example = "3456/sujd")
    private String sms;

    @ApiModelProperty(value = "租户编号", example = "1")
    private String tenantNo;

}
