package com.cusc.nirvana.user.rnr.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * Description: 实名解绑请求
 * <br />
 * CreateDate 2022-04-20 20:22:56
 *
 * @author yuyi
 **/
@Data
public class RnrSmsReqDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "业务类型：实名短信、一车多卡绑定、卡解绑等")
    private String bizType;

    @ApiModelProperty(value = "实名业务id")
    private String rnrId;

    @ApiModelProperty(value = "图形验证码")
    private String imgCaptcha;

    @ApiModelProperty(value = "图形验证码请求id")
    private String requestId;

}
