package com.cusc.nirvana.user.rnr.customer.service;

import com.cusc.nirvana.user.rnr.customer.dto.LivenessCallbackReqDTO;
import com.cusc.nirvana.user.rnr.customer.dto.PersonalH5CallBackRespDTO;
import com.cusc.nirvana.user.rnr.customer.dto.PersonalH5ReqDTO;
import com.cusc.nirvana.user.rnr.customer.dto.PersonalH5RespDTO;

/**
 * @className: IPersonalH5Service
 * @description: 车主H5
 * @author: jk
 * @date: 2022/6/7 11:06
 * @version: 1.0
 **/
public interface IPersonalH5Service {

    /**
     * 个人实名H5提交
     *
     * @param bean
     * @return
     */
    PersonalH5RespDTO submitRnrH5(PersonalH5ReqDTO bean);

    /**
     * 腾讯活体的回调处理
     * @param bean
     * @return
     */
    PersonalH5CallBackRespDTO afreshLivenessUrl(LivenessCallbackReqDTO bean);
}
